// main: ./main.less, out: ../style.css, compress: false

/* ====================================================================================================================================
STYLES
======================================================================================================================================*/
.c-section {
    position: relative;
}

.l-container {
    max-width: 960px;
    width: 100%;
    margin: 0 auto;
    padding: 0 @margin__rg*2;
    @media @mq--smartphone {
        padding: 0 @margin__rg;
    }
}

.l-container_full {
    width: 100%;
    padding: 0 4%;
    @media @mq--smartphone {
        padding: 0 2%;
    }
}

.l-margin_l {
    margin: 150px auto;
    @media @mq--smartphone {
        margin: 80px auto;
    }
}

.o-arrowRight {
    position: relative;
    //color: @vr__col-2;
    .txt--font__medium;
    align-items: center;

    img {
        height:26px;
        vertical-align: middle;
        .u-transform(translateX(5px));
        .trans;
    }
    @media @mq--nophone {
        &:hover {
            img {
                .u-transform(translateX(10px));
            }
        }
    }
}
.u-explorer .o-verticalText:after {
    bottom: -50px;
}
.o-verticalText {
    position: absolute;
    left: @margin__rg;
    top: 0;
    writing-mode: vertical-lr;
    -ms-writing-mode: tb-lr;
    .txt--font__bold;
    &:after {
        position: absolute;
        content: '';
        display: block;
        width: 1px;
        height: 40px;
        bottom: 0;
        left: 50%;
        background-color: @vr__col-2;
        animation: animation__sectionLine 1.5s infinite alternate;
        .u-transform(translateY(120%));
    }
    
    @media @mq--smartphone, @mq--tablet {
        display: none;
    }
    &--right {
        right: @margin__rg;
        left: initial;
    }
}

.o-linearGradient(@col1, @col2, @opacity: 0.6) {
    position: relative;
    &:after{
        .trans;
        display: block;
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        bottom: 0;
        right: 0;
        opacity: @opacity;
        background: @col1;
        background: -moz-linear-gradient(-45deg, @col1 0%, @col2 100%);
        background: -webkit-gradient(left top, right bottom, color-stop(0%, @col1), color-stop(100%, @col2));
        background: -webkit-linear-gradient(-45deg, @col1 0%, @col2 100%);
        background: -o-linear-gradient(-45deg, @col1 0%, @col2 100%);
        background: -ms-linear-gradient(-45deg, @col1 0%, @col2 100%);
        background: linear-gradient(135deg, @col1 0%, @col2 100%);
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr=@col1, endColorstr=@col2, GradientType=1 );  
    }
}

#cursor {
    position: absolute;
    z-index: 200000; 
    width: 30px;
    height: 30px;
    pointer-events: none;
    &:after {
        position: absolute;
        display: block;
        content: '';
        width: 100%;
        height: 100%;
        background-color: white;
        opacity: 0;
        .u-border-radius(50%);
        .trans;
    }
    &.isVisible {
        &:after {
            opacity: .2;
        }
    }
    &.isHoverButton {
        &:after {
            opacity: .6;
            .u-transform(rotate(45deg));
            .u-border-radius(0);
            background-color: @vr__col-2;
        }
      }
      &.isHoverImage {
        &:after {
            opacity: .6;
            .u-transform(scale(1.4));
            background-color: @vr__col-3;
        }
      }
      &.isHoverProject {
        &:after {
            opacity: .8;
            width: 140%;
            height: 140%;
            animation: animation__rotation linear 3s infinite;
            -webkit-animation: animation__rotation linear 3s infinite;
            .u-linear-gradient(@vr__col-5,
            @vr__col-4);
        }
      }
    @media @mq--tablet, @mq--smartphone {
        display: none;
    }
}
body, a {  
    cursor: none;
    @media @mq--tablet, @mq--smartphone {
        cursor: inherit;
    }
}
